1

When I start neovim, I'm now getting a lot of errors like this,

packer.nvim: Error running config for hop.nvim: attempt to call a nil value
packer.nvim: Error running config for nvim-lspconfig: attempt to call a nil value

What's causing these errors and how can I fix it?

1 Answer 1

0

Update

This is answer is wrong, after changing everything back it still works. I think this may have been a packer cache issue. But that's weird because **100% I tried :PackerUpdate and the problem did not go away. I would probably try :PackerCompile but having rolled back all files I can't figure out what caused this.


For me, both of these errors were caused be

require'hop'.setup({})

When I changed this to

require('hop').setup({})

Everything worked. Weird because it's documented like the top and that used to work.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.